/*
 * Programm XBLAST V1.04 or higher
 * (C) by Oliver Vogel (e-mail: vogel@ikp.uni-koeln.de)
 * May 16th 1994
 * started August 1993
 *
 * File: blastintro.c
 * x-polygon & explosion Letters
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "include.h"
#include "mytypes.h"

BMPoint pointx[SIZE_OF_X] = 
{
  { 0., 0. },
  { 0.2, 0.},
  { 0.5, 0.3125},
  { 0.8, 0.},

  { 1.0, 0.},
  { 1.0, 0.1667},
  { 0.68, 0.5 },
  { 1.0, 0.8333},

  { 1.0, 1.0 },
  { 0.8, 1.0 },
  { 0.5, 0.6875},
  { 0.2, 1.0 },

  { 0.0, 1.0 },
  { 0.0, 0.8333},
  { 0.32, 0.5 },
  { 0.0, 0.1667 }
};



int Block_A[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x10, 0x00, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x17, 0x18, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x17, 0x1a, 0x18 },
    { 0x15, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x16, 0x18, 0x00 },
    { 0x15, 0x00, 0x14 },
    { 0x17, 0x1a, 0x1d },
    { 0x15, 0x00, 0x11 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x16, 0x1a, 0x1c },
    { 0x15, 0x00, 0x15 },
    { 0x17, 0x1a, 0x1d },
    { 0x15, 0x00, 0x15 },
    { 0x11, 0x00, 0x11 },
  },
};



int Block_B[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x10, 0x00, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x1b, 0x18, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x1b, 0x1a, 0x18 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x17, 0x18, 0x00 },
    { 0x15, 0x00, 0x14 },
    { 0x1b, 0x1a, 0x19 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x17, 0x1a, 0x1c },
    { 0x15, 0x00, 0x15 },
    { 0x1b, 0x1a, 0x19 },
  },
  {
    { 0x1e, 0x18, 0x00 },
    { 0x15, 0x00, 0x14 },
    { 0x17, 0x1a, 0x1d },
    { 0x15, 0x00, 0x15 },
    { 0x1b, 0x1a, 0x19 },
  },
  {
    { 0x1e, 0x1a, 0x1c },
    { 0x15, 0x00, 0x15 },
    { 0x17, 0x1a, 0x1d },
    { 0x15, 0x00, 0x15 },
    { 0x1b, 0x1a, 0x19 }
  }
};



int Block_L[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x10, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x18, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x18 },
  },
};



int Block_M[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x10, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x16, 0x18, 0x00 },
    { 0x11, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x16, 0x1e, 0x18 },
    { 0x15, 0x11, 0x00 },
    { 0x11, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x16, 0x1e, 0x1c },
    { 0x15, 0x15, 0x11 },
    { 0x15, 0x11, 0x00 },
    { 0x11, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x16, 0x1e, 0x1c },
    { 0x15, 0x15, 0x15 },
    { 0x15, 0x15, 0x11 },
    { 0x15, 0x11, 0x00 },
    { 0x11, 0x00, 0x00 },
  },
  {
    { 0x16, 0x1e, 0x1c },
    { 0x15, 0x15, 0x15 },
    { 0x15, 0x15, 0x15 },
    { 0x15, 0x15, 0x11 },
    { 0x11, 0x11, 0x00 },
  },
  {
    { 0x16, 0x1e, 0x1c },
    { 0x15, 0x15, 0x15 },
    { 0x15, 0x15, 0x15 },
    { 0x15, 0x15, 0x15 },
    { 0x11, 0x11, 0x11 },
  },
};



int Block_O[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x10, 0x00, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x13, 0x18, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x18 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x14 },
    { 0x13, 0x1a, 0x19 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x15, 0x00, 0x14 },
    { 0x15, 0x00, 0x15 },
    { 0x13, 0x1a, 0x19 },
  },
  {
    { 0x16, 0x18, 0x00 },
    { 0x15, 0x00, 0x14 },
    { 0x15, 0x00, 0x15 },
    { 0x15, 0x00, 0x15 },
    { 0x13, 0x1a, 0x19 },
  },
  {
    { 0x16, 0x1a, 0x1c },
    { 0x15, 0x00, 0x15 },
    { 0x15, 0x00, 0x15 },
    { 0x15, 0x00, 0x15 },
    { 0x13, 0x1a, 0x19 },
  }
};



int Block_S[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x10, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x14, 0x00, 0x00 },
    { 0x13, 0x18, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x14, 0x00, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x18 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x16, 0x18, 0x00 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x1c },
    { 0x00, 0x00, 0x11 },
    { 0x00, 0x00, 0x00 },
  },
  {
    { 0x16, 0x1a, 0x18 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x1c },
    { 0x00, 0x00, 0x15 },
    { 0x00, 0x00, 0x11 },
  },
  {
    { 0x16, 0x1a, 0x18 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x1c },
    { 0x00, 0x00, 0x15 },
    { 0x00, 0x12, 0x19 },
  },
  {
    { 0x16, 0x1a, 0x18 },
    { 0x15, 0x00, 0x00 },
    { 0x13, 0x1a, 0x1c },
    { 0x00, 0x00, 0x15 },
    { 0x12, 0x1a, 0x19 },
  },
};



int Block_T[CHAR_ANIME][CHARH][CHARW] =
{
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x10, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x14, 0x00 },
    { 0x00, 0x11, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x14, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x11, 0x00 },
  },
  {
    { 0x00, 0x00, 0x00 },
    { 0x00, 0x14, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x11, 0x00 },
  },
  {
    { 0x00, 0x14, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x11, 0x00 },
  },
  {
    { 0x12, 0x1e, 0x18 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x15, 0x00 },
    { 0x00, 0x11, 0x00 },
  },
};
