/*
 * Programm XBLAST V1.04 or higher
 * (C) by Oliver Vogel (e-mail: vogel@ikp.uni-koeln.de)
 * May 16th 1994
 * started August 1993
 *
 * File: score.c
 * bitmap data of status panel
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "include.h"

unsigned char score_led[2][SIZE_OF_LED] =
{
  {
    /* Led aus */
    0xaa, 0xaa,
    0x55, 0x55,
    0xaa, 0xaa,
    0x55, 0x55,
    0x02, 0x80,
    0xf9, 0x5f,
    0xfa, 0x9f,
    0xf9, 0x5f,
    0xfa, 0x9f,
    0xf9, 0x5f,
    0xfa, 0x9f,
    0x01, 0x40,
    0xaa, 0xaa,
    0x55, 0x55,
    0xff, 0xff,  
    0x55, 0x55},

  {
    /* Led an */
    0xaa, 0xaa,
    0x55, 0x55,
    0xaa, 0xaa,
    0x55, 0x55,
    0x02, 0x80,
    0x01, 0x40,
    0x02, 0x80,
    0x01, 0x40,
    0x02, 0x80,
    0x01, 0x40,
    0x02, 0x80,
    0x01, 0x40,
    0xaa, 0xaa,
    0x55, 0x55,
    0xff, 0xff,
    0x55, 0x55},
};


unsigned char score_tile[MAX_SCORE_TILES][SIZE_OF_BLOCK] = 
{
  {
    /* void */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
  },


  {
    /* Text links */
    /* Bitmap x=320 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0x55, 0x55, 0x55, 0xfe, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xa8, 0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* Text mitte */
    /* Bitmap x=384 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* Text rechts */
    /* Bitmap x=448 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xae, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xae, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0xa0, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xaf, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x55, 0x55, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0xa0, 0xaa, 0xae, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xae, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xae, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x57, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 


  {
    /* player 1 dead */
    /* Bitmap x=0 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x78, 0x00, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x02, 0x00, 0x78, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x0a, 0x00, 0xc0, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x55, 
    0xaa, 0xa8, 0xaa, 0xca, 0x18, 0x00, 0x00, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x54, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x0a, 0x00, 0x00, 0xac, 
    0x55, 0x55, 0x55, 0x0d, 0x02, 0x00, 0x00, 0x58, 
    0xaa, 0xa8, 0xaa, 0x06, 0xf0, 0xff, 0x07, 0xb4, 
    0x55, 0x55, 0x55, 0x05, 0x0e, 0x00, 0x38, 0x58, 
    0xaa, 0xa8, 0xaa, 0x86, 0x01, 0x00, 0xc0, 0xb4, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0x00, 0x00, 0x00, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0x10, 0x22, 0x04, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x30, 0x63, 0x06, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xc0, 0x80, 0x01, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x4d, 0x30, 0x63, 0x06, 0x5b, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x10, 0x22, 0x84, 0xad, 
    0x55, 0x55, 0x55, 0x15, 0x01, 0x00, 0xc0, 0x56, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0x70, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1a, 0x00, 0xac, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf5, 0xff, 0xd7, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfe, 0xff, 0xbf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0x57, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* player 2 dead */
    /* Bitmap x=64 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x41, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xc1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0xff, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf8, 0xff, 0xff, 0xab, 
    0x55, 0x55, 0x55, 0x75, 0xf0, 0xff, 0xff, 0x57, 
    0xaa, 0xa8, 0xaa, 0x3a, 0xf8, 0xff, 0xff, 0xaf, 
    0x55, 0x55, 0x55, 0x7d, 0xf4, 0xff, 0xff, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xbe, 0xfa, 0xff, 0xff, 0xbf, 
    0x55, 0x55, 0x55, 0xfd, 0x0f, 0x00, 0xf8, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xfe, 0x01, 0x00, 0xc0, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0x00, 0x00, 0x00, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0x10, 0x22, 0x04, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x30, 0x63, 0x06, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xe0, 0xc1, 0x03, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xc0, 0x80, 0x01, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xe0, 0xc1, 0x03, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x30, 0x63, 0x06, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xfa, 0x10, 0x22, 0x84, 0xaf, 
    0x55, 0x55, 0x55, 0xf5, 0x01, 0x00, 0xc0, 0x57, 
    0xaa, 0xa8, 0xaa, 0xea, 0x07, 0x00, 0xf0, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1f, 0x00, 0xfc, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* player 3 dead */
    /* Bitmap x=128 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x7a, 0x55, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x55, 0x55, 0xd5, 0xaa, 
    0x55, 0x55, 0x55, 0xd5, 0xaa, 0xaa, 0xaa, 0x55, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x50, 0x55, 0x55, 0xab, 
    0x55, 0x55, 0x55, 0x35, 0xa8, 0xaa, 0xaa, 0x56, 
    0xaa, 0xa8, 0xaa, 0x1a, 0x50, 0x55, 0x55, 0xad, 
    0x55, 0x55, 0x55, 0x2d, 0xa8, 0xaa, 0xaa, 0x5a, 
    0xaa, 0xa8, 0xaa, 0x16, 0xf4, 0xff, 0x57, 0xbd, 
    0x55, 0x55, 0x55, 0xad, 0x0e, 0x00, 0xb8, 0x5e, 
    0xaa, 0xa8, 0xaa, 0xd6, 0x01, 0x00, 0xc0, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0x00, 0x00, 0x00, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0x10, 0x22, 0x04, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x30, 0x63, 0x06, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xe0, 0xc1, 0x03, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xc0, 0x80, 0x01, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xe0, 0xc1, 0x03, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x30, 0x63, 0x06, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xda, 0x10, 0x22, 0x84, 0xaf, 
    0x55, 0x55, 0x55, 0xb5, 0x01, 0x00, 0xc0, 0x57, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0xf0, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1e, 0x00, 0xfc, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* player 4 dead */
    /* Bitmap x=192 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xeb, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x75, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xfb, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x78, 0x55, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x82, 0xaa, 0x78, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x4a, 0x55, 0xc1, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x80, 0xaa, 0x00, 0x55, 
    0xaa, 0xa8, 0xaa, 0xca, 0x58, 0x55, 0x01, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x80, 0xaa, 0x00, 0x54, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x4a, 0x55, 0x01, 0xac, 
    0x55, 0x55, 0x55, 0x0d, 0x82, 0xaa, 0x00, 0x58, 
    0xaa, 0xa8, 0xaa, 0x06, 0xf0, 0xff, 0x07, 0xb4, 
    0x55, 0x55, 0x55, 0x05, 0x0e, 0x00, 0x38, 0x58, 
    0xaa, 0xa8, 0xaa, 0x86, 0x01, 0x00, 0xc0, 0xb4, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0x00, 0x00, 0x00, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0x10, 0x22, 0x04, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x30, 0x63, 0x06, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xc0, 0x80, 0x01, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x4d, 0x30, 0x63, 0x06, 0x5b, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x10, 0x22, 0x84, 0xad, 
    0x55, 0x55, 0x55, 0x15, 0x01, 0x00, 0xc0, 0x56, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0x70, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1a, 0x00, 0xac, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf5, 0xff, 0xd7, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfe, 0xff, 0xbf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0x57, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 


  {
    /* Player 1 sick */
    /* Bitmap x=0 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x78, 0x00, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x02, 0x00, 0x78, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x0a, 0x00, 0xc0, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x55, 
    0xaa, 0xa8, 0xaa, 0xca, 0x18, 0x00, 0x00, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x54, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x0a, 0x00, 0x00, 0xac, 
    0x55, 0x55, 0x55, 0x0d, 0x02, 0x00, 0x00, 0x58, 
    0xaa, 0xa8, 0xaa, 0x06, 0xf0, 0xff, 0x07, 0xb4, 
    0x55, 0x55, 0x55, 0x05, 0x0e, 0x00, 0x38, 0x58, 
    0xaa, 0xa8, 0xaa, 0x86, 0x01, 0x00, 0xc0, 0xb4, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x10, 0x20, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xd0, 0xa3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x50, 0xa2, 0x04, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xd0, 0xa2, 0x05, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xd0, 0xa2, 0x05, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xd0, 0xa2, 0x05, 0xb5, 
    0x55, 0x55, 0x55, 0x4d, 0xd0, 0xa2, 0x05, 0x5b, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x10, 0x22, 0x84, 0xad, 
    0x55, 0x55, 0x55, 0x15, 0xe1, 0xc1, 0xc3, 0x56, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0x70, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1a, 0x00, 0xac, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf5, 0xff, 0xd7, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfe, 0xff, 0xbf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0x57, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* Player 2 Sick */
    /* Bitmap x=64 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x41, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xc1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0xff, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf8, 0xff, 0xff, 0xab, 
    0x55, 0x55, 0x55, 0x75, 0xf0, 0xff, 0xff, 0x57, 
    0xaa, 0xa8, 0xaa, 0x3a, 0xf8, 0xff, 0xff, 0xaf, 
    0x55, 0x55, 0x55, 0x7d, 0xf4, 0xff, 0xff, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xbe, 0xfa, 0xff, 0xff, 0xbf, 
    0x55, 0x55, 0x55, 0xfd, 0x0f, 0x00, 0xf8, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xfe, 0x01, 0x00, 0xc0, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xe0, 0xc1, 0x03, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x10, 0x20, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xd0, 0xa3, 0x07, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x50, 0xa2, 0x04, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xd0, 0xa2, 0x05, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xd0, 0xa2, 0x05, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xd0, 0xa2, 0x05, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xd0, 0xa2, 0x05, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xfa, 0x10, 0x22, 0x84, 0xaf, 
    0x55, 0x55, 0x55, 0xf5, 0xe1, 0xc1, 0xc3, 0x57, 
    0xaa, 0xa8, 0xaa, 0xea, 0x07, 0x00, 0xf0, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1f, 0x00, 0xfc, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* Player 3 Sick */
    /* Bitmap x=128 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x7a, 0x55, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x55, 0x55, 0xd5, 0xaa, 
    0x55, 0x55, 0x55, 0xd5, 0xaa, 0xaa, 0xaa, 0x55, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x50, 0x55, 0x55, 0xab, 
    0x55, 0x55, 0x55, 0x35, 0xa8, 0xaa, 0xaa, 0x56, 
    0xaa, 0xa8, 0xaa, 0x1a, 0x50, 0x55, 0x55, 0xad, 
    0x55, 0x55, 0x55, 0x2d, 0xa8, 0xaa, 0xaa, 0x5a, 
    0xaa, 0xa8, 0xaa, 0x16, 0xf4, 0xff, 0x57, 0xbd, 
    0x55, 0x55, 0x55, 0xad, 0x0e, 0x00, 0xb8, 0x5e, 
    0xaa, 0xa8, 0xaa, 0xd6, 0x01, 0x00, 0xc0, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xe0, 0xc1, 0x03, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x10, 0x20, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xd0, 0xa3, 0x07, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x50, 0xa2, 0x04, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xd0, 0xa2, 0x05, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xd0, 0xa2, 0x05, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xd0, 0xa2, 0x05, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xd0, 0xa2, 0x05, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xda, 0x10, 0x22, 0x84, 0xaf, 
    0x55, 0x55, 0x55, 0xb5, 0xe1, 0xc1, 0xc3, 0x57, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0xf0, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1e, 0x00, 0xfc, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  
  
  {
    /* Player 4 sick */
    /* Bitmap x=192 y=96 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xeb, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x75, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xfb, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x78, 0x55, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x82, 0xaa, 0x78, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x4a, 0x55, 0xc1, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x80, 0xaa, 0x00, 0x55, 
    0xaa, 0xa8, 0xaa, 0xca, 0x58, 0x55, 0x01, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x80, 0xaa, 0x00, 0x54, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x4a, 0x55, 0x01, 0xac, 
    0x55, 0x55, 0x55, 0x0d, 0x82, 0xaa, 0x00, 0x58, 
    0xaa, 0xa8, 0xaa, 0x06, 0xf0, 0xff, 0x07, 0xb4, 
    0x55, 0x55, 0x55, 0x05, 0x0e, 0x00, 0x38, 0x58, 
    0xaa, 0xa8, 0xaa, 0x86, 0x01, 0x00, 0xc0, 0xb4, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x10, 0x20, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xd0, 0xa3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0x50, 0xa2, 0x04, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xd0, 0xa2, 0x05, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xd0, 0xa2, 0x05, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xd0, 0xa2, 0x05, 0xb5, 
    0x55, 0x55, 0x55, 0x4d, 0xd0, 0xa2, 0x05, 0x5b, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x10, 0x22, 0x84, 0xad, 
    0x55, 0x55, 0x55, 0x15, 0xe1, 0xc1, 0xc3, 0x56, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0x70, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1a, 0x00, 0xac, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf5, 0xff, 0xd7, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfe, 0xff, 0xbf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0x57, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  

  {
    /* Player 1 */
    /* Bitmap x=0 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x78, 0x00, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x02, 0x00, 0x78, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x0a, 0x00, 0xc0, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x55, 
    0xaa, 0xa8, 0xaa, 0xca, 0x18, 0x00, 0x00, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x54, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x0a, 0x00, 0x00, 0xac, 
    0x55, 0x55, 0x55, 0x0d, 0x02, 0x00, 0x00, 0x58, 
    0xaa, 0xa8, 0xaa, 0x06, 0xf0, 0xff, 0x07, 0xb4, 
    0x55, 0x55, 0x55, 0x05, 0x0e, 0x00, 0x38, 0x58, 
    0xaa, 0xa8, 0xaa, 0x86, 0x01, 0x00, 0xc0, 0xb4, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xf0, 0xe3, 0x07, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xf0, 0xe3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xf0, 0xe3, 0x07, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xf0, 0xe3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xf0, 0xe3, 0x07, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xf0, 0xe3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x4d, 0xf0, 0xe3, 0x07, 0x5b, 
    0xaa, 0xa8, 0xaa, 0x8a, 0xf0, 0xe3, 0x87, 0xad, 
    0x55, 0x55, 0x55, 0x15, 0xe1, 0xc1, 0xc3, 0x56, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0x70, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1a, 0x00, 0xac, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf5, 0xff, 0xd7, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfe, 0xff, 0xbf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0x57, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
      

  {
    /* Player 2 */
    /* Bitmap x=64 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x41, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xc1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0xff, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf8, 0xff, 0xff, 0xab, 
    0x55, 0x55, 0x55, 0x75, 0xf0, 0xff, 0xff, 0x57, 
    0xaa, 0xa8, 0xaa, 0x3a, 0xf8, 0xff, 0xff, 0xaf, 
    0x55, 0x55, 0x55, 0x7d, 0xf4, 0xff, 0xff, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xbe, 0xfa, 0xff, 0xff, 0xbf, 
    0x55, 0x55, 0x55, 0xfd, 0x0f, 0x00, 0xf8, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xfe, 0x01, 0x00, 0xc0, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xe0, 0xc1, 0x03, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xf0, 0xe3, 0x07, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xf0, 0xe3, 0x07, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x7e, 0xf0, 0xe3, 0x07, 0xbf, 
    0x55, 0x55, 0x55, 0x7d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xfa, 0xf0, 0xe3, 0x87, 0xaf, 
    0x55, 0x55, 0x55, 0xf5, 0xe1, 0xc1, 0xc3, 0x57, 
    0xaa, 0xa8, 0xaa, 0xea, 0x07, 0x00, 0xf0, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1f, 0x00, 0xfc, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 


  {
    /* Player */
    /* Bitmap x=128 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe3, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xe1, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x7a, 0x55, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x55, 0x55, 0xd5, 0xaa, 
    0x55, 0x55, 0x55, 0xd5, 0xaa, 0xaa, 0xaa, 0x55, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x50, 0x55, 0x55, 0xab, 
    0x55, 0x55, 0x55, 0x35, 0xa8, 0xaa, 0xaa, 0x56, 
    0xaa, 0xa8, 0xaa, 0x1a, 0x50, 0x55, 0x55, 0xad, 
    0x55, 0x55, 0x55, 0x2d, 0xa8, 0xaa, 0xaa, 0x5a, 
    0xaa, 0xa8, 0xaa, 0x16, 0xf4, 0xff, 0x57, 0xbd, 
    0x55, 0x55, 0x55, 0xad, 0x0e, 0x00, 0xb8, 0x5e, 
    0xaa, 0xa8, 0xaa, 0xd6, 0x01, 0x00, 0xc0, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0x00, 0x00, 0x00, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xe0, 0xc1, 0x03, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xf0, 0xe3, 0x07, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xf0, 0xe3, 0x07, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0x56, 0xf0, 0xe3, 0x07, 0xbd, 
    0x55, 0x55, 0x55, 0x6d, 0xf0, 0xe3, 0x07, 0x5f, 
    0xaa, 0xa8, 0xaa, 0xda, 0xf0, 0xe3, 0x87, 0xaf, 
    0x55, 0x55, 0x55, 0xb5, 0xe1, 0xc1, 0xc3, 0x57, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0xf0, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1e, 0x00, 0xfc, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xff, 0xff, 0xff, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfa, 0xff, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 
  

  {
    /* Player 4*/
    /* Bitmap x=192 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x51, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x7f, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xeb, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x75, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xfb, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xd5, 0xff, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x78, 0x55, 0xaf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x82, 0xaa, 0x78, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0x4a, 0x55, 0xc1, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x80, 0xaa, 0x00, 0x55, 
    0xaa, 0xa8, 0xaa, 0xca, 0x58, 0x55, 0x01, 0xaa, 
    0x55, 0x55, 0x55, 0x15, 0x80, 0xaa, 0x00, 0x54, 
    0xaa, 0xa8, 0xaa, 0x8a, 0x4a, 0x55, 0x01, 0xac, 
    0x55, 0x55, 0x55, 0x0d, 0x82, 0xaa, 0x00, 0x58, 
    0xaa, 0xa8, 0xaa, 0x06, 0xf0, 0xff, 0x07, 0xb4, 
    0x55, 0x55, 0x55, 0x05, 0x0e, 0x00, 0x38, 0x58, 
    0xaa, 0xa8, 0xaa, 0x86, 0x01, 0x00, 0xc0, 0xb4, 
    0x55, 0x55, 0x55, 0x45, 0x00, 0x00, 0x00, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xe0, 0xc1, 0x03, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xf0, 0xe3, 0x07, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xf0, 0xe3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xf0, 0xe3, 0x07, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xf0, 0xe3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x45, 0xf0, 0xe3, 0x07, 0x59, 
    0xaa, 0xa8, 0xaa, 0x46, 0xf0, 0xe3, 0x07, 0xb5, 
    0x55, 0x55, 0x55, 0x4d, 0xf0, 0xe3, 0x07, 0x5b, 
    0xaa, 0xa8, 0xaa, 0x8a, 0xf0, 0xe3, 0x87, 0xad, 
    0x55, 0x55, 0x55, 0x15, 0xe1, 0xc1, 0xc3, 0x56, 
    0xaa, 0xa8, 0xaa, 0x6a, 0x07, 0x00, 0x70, 0xab, 
    0x55, 0x55, 0x55, 0xd5, 0x1a, 0x00, 0xac, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xf5, 0xff, 0xd7, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xaf, 0xaa, 0x7a, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xfe, 0xff, 0xbf, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0xf5, 0xff, 0x57, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xa8, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 


  {
    /* Player Lives */
    /* Bitmap x=256 y=0 w=64 h=48 */
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa0, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xea, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xea, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0x00, 0x00, 0x00, 0x00, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0xfe, 0xff, 0xff, 0xff, 0xaa, 0xea, 0xaa, 
    0x55, 0xfe, 0xff, 0xff, 0xff, 0x54, 0x55, 0x55, 
    0xaa, 0x00, 0x00, 0x00, 0x00, 0xaa, 0xea, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xea, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xea, 0xaa, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 0x55, 
    0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 
    0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55}, 


};




